﻿/* 
 Name:
	JMC_GYST_Harry Frank
 Version:
	1.0 (1st April, 2015 ) by Harry Frank
      Changelog:
	First Launch
 Author:
	Harry Frank
 Description:  
	This script allows users to generate Harry Frank's file structure quickly and easily, so they can GYST!
    
 Usage:
	In After Effects CS4 or later, run the script
	Hit Generate Folders!
*/

  
var win = new Window('palette', 'JMC/GYST');
var testLabel = win.add('statictext', undefined, 'Developed by Harry Frank');
var btnSelect = win.add('button', undefined, 'Generate Folders!');


btnSelect.onClick = function(){
    
var compFolder0 = app.project.items.addFolder('.FINAL_OUTPUT'); 
var compFolder0 = app.project.items.addFolder('~IMPORTED_PROJECTS'); 

//initiates QT set
var compFolder = app.project.items.addFolder('COMPS'); 
var compFolder2= app.project.items.addFolder('BUILD');//folder1
var compFolder3= app.project.items.addFolder('PRECOMPS');//folder2
compFolder2.parentFolder = compFolder;//makes folder 2 child of folder1
compFolder3.parentFolder = compFolder;//makes folder 3 child of folder1

var compFolder = app.project.items.addFolder('FOOTAGE'); 
var compFolder2= app.project.items.addFolder('.PROXIES');//folder1
var compFolder3= app.project.items.addFolder('3D');//folder2
var compFolder4= app.project.items.addFolder('AI');//folder3
var compFolder5= app.project.items.addFolder('AUDIO');//folder4
var compFolder6= app.project.items.addFolder('JPG');//folder5
var compFolder7= app.project.items.addFolder('MOV');//folder6
var compFolder8= app.project.items.addFolder('PSD');//folder7
var compFolder9= app.project.items.addFolder('SEQ');//folder8
compFolder2.parentFolder = compFolder;//makes folder 2 child of folder1
compFolder3.parentFolder = compFolder;//makes folder 3 child of folder1
compFolder4.parentFolder = compFolder;//makes folder 4 child of folder1
compFolder5.parentFolder = compFolder;//makes folder 5 child of folder1
compFolder6.parentFolder = compFolder;//makes folder 6 child of folder1
compFolder7.parentFolder = compFolder;//makes folder 7 child of folder1
compFolder8.parentFolder = compFolder;//makes folder 8 child of folder1
compFolder9.parentFolder = compFolder;//makes folder 9 child of folder1

var compFolder0 = app.project.items.addFolder('REFERENCE'); 
//alerts user on completion
//alert('Folders were successfully generated. Enjoy.');
}
 

win.center();
win.show();